Page MenuHomePhabricator

Andre to provide email addresses of 'Last Attracted Developers' in Gerrit to Srishti, to allow contacting new developers
Closed, ResolvedPublic

Description

This task blocks T167085.

This task depends on T151161#3552414 (Bitergia to update the currently outdated list of latest new Gerrit authors).
This issue cannot be worked around (as I do not see any API to query by date && first activity and MZ's Gerrit-reports does not sort / display dates ).

This task also depends on having a recent DB dump of wikimedia.biterg.io (either manually updated, or by fixing T157898). Then I can query corresponding email addresses for Gerrit user names via a script (SELECT email FROM identities WHERE source='gerrit' AND username = 'SomeGerritUsername';).
This issue could be worked around by going to https://gerrit.wikimedia.org/ and using the Search field, entering author:SomeGerritUsername and waiting for autocomplete to trigger and show the author's email address.
Which needs to be done one by one and will take way longer.

(Irrelevant, just for my own notes: I thought the latter issue could also be worked around by using admin access on wikimedia.biterg.io to look up email addresses for each Gerrit username (going to the "Discover" mode, making sure in the left pane dropdown that you're in the "gerrit" index, entering author_user_name="SomeGerritUsername" in the text search field at the top, and expanding an entry) but I just realized that these entries do not offer the user's email address in Gerrit for reasons I do not know.)

Event Timeline

Aklapper updated the task description. (Show Details)Aug 25 2017, 12:47 PM
Aklapper changed the task status from Stalled to Open.Sep 4 2017, 11:31 AM

Bitergia refreshed the "New Authors" widget so we have the Gerrit user names of the latest new code contributors and the hard blocker for this task is solved.

Asked @srishakatux for the exact timeframe to cover.

Aklapper closed this task as Resolved.Sep 4 2017, 3:00 PM

Sent June-August 2017 email addresses of people who put their first patch into Wikimedia Gerrit used in their git/gerrit commits via email to @srishakatux

If you want a larger timeframe, please reopen and specify.

Qgil awarded a token.Sep 5 2017, 8:33 AM